---
name: Catherine Murphy
locality:
country: Remote
role: <a href="">Payroll Specialist</a>
reports_to: sszepietowska
picture: "../gitlab-logo-extra-whitespace.png"
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: cmurphy5
departments:
- Accounting
specialty: ''
expertise:
story:
job_title: Payroll Analyst
division: Finance
public: true

